package net.wanji.feign.service;

import net.wanji.feign.config.FeignHisenseClientsConfig;
import net.wanji.feign.service.common.FeignCommon;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @author duanruiming
 * @date 2023/05/19 9:05
 */
@FeignClient(name = "UtcHisenseFeignClients", url = "${utc.hisense.service.url}",
        configuration = FeignHisenseClientsConfig.class)
public interface UtcHisenseFeignClients extends FeignCommon {
}
