package net.wanji.utc.hisense.pojo.xml.pojo.messagecontent;

import lombok.Data;
import net.wanji.utc.hisense.pojo.xml.pojo.SystemScriptionRequest;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author duanruiming
 * @date 2024/01/08 13:24
 */
@Data
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "systemScription")
public class LogOnRequest extends SystemScriptionRequest {

    private LogOnContent messageContent;

    @Data
    @XmlAccessorType(XmlAccessType.FIELD)
    public static class LogOnContent {
        private String user;
        private String password;
    }
}
