package net.wanji.utc.hisense.service;

import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dto.CrossInfoDTO;
import net.wanji.databus.dto.CrossSchedulesDTO;
import net.wanji.databus.dto.PlanSectionDTO;
import net.wanji.databus.dto.SchemePhaseLightsDTO;
import net.wanji.databus.po.CrossInfoPO;
import net.wanji.databus.vo.PlanSectionVO;
import net.wanji.databus.vo.SchemePhaseLightsVO;

import java.util.List;

public interface StaticInfoService {

    List<CrossInfoPO> crossBasicInfo(CrossInfoDTO crossInfoDTO) throws Exception;

    SchemePhaseLightsVO schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    List<PlanSectionVO> planSection(PlanSectionDTO planSectionDTO) throws Exception;

    List<CrossSchedulesPO> crossSchedules(CrossSchedulesDTO crossSchedulesDTO) throws Exception;

}
