package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.databus.vo.CrossIdAndNameVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "MainlineListVO", description = "干线列表")
public class MainlineListVO {
    @ApiModelProperty(value = "干线名称")
    private String mainlineName;

    @ApiModelProperty(value = "路口列表")
    private List<CrossIdAndNameVO> crossList;

    @ApiModelProperty(value = "干线坐标")
    private String wkt;

    @ApiModelProperty(value = "干线拥堵指数")
    private Double trafficIndex ;
}
