package net.wanji.utc.hisense.common.enums;

import lombok.Getter;
import net.wanji.utc.hisense.pojo.convert.RunningLightsStatusPojo;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/05/08 10:17
 */
@Getter
public enum CommandResultSignEnum {
    GET_RUNNING_STATE_INFO(RunningLightsStatusPojo.class, "getRunningStateInfoService");

    private final Object resultPojo;
    private final String className;

    CommandResultSignEnum(Class<?> resultPojo, String className) {
        this.className = className;
        this.resultPojo = resultPojo;
    }

    public static String getResultPojo(Object pojo) {
        for (CommandResultSignEnum value : CommandResultSignEnum.values()) {
            if (Objects.equals(value.getResultPojo(), RunningLightsStatusPojo.class)) {
                return value.getClassName();
            }
        }
        return null;
    }
}
